## btrfs-progs 6.6.3-1.1build2trisquel1

=== debian/changelog ===
btrfs-progs (6.6.3-1.1build2trisquel1) ecne; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Oct 2024 16:33:38 +0000

btrfs-progs (6.6.3-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:43:21 +0000

btrfs-progs (6.6.3-1.1build1) noble; urgency=medium

  * No-change rebuild against libext2fs2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Mar 2024 15:49:19 +0000

btrfs-progs (6.6.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062030

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 05:21:59 +0000

btrfs-progs (6.6.3-1) unstable; urgency=medium

  * New upstream release (closes: #1055372).
  * Add B-Dep on python3-sphinx-rtd-theme, required for building docs.
  * Fix failure to build twice in a row (closes: #1044007).
  * Query udevdir via pkg-config, fixing FTBFS (closes: #1057231).
  * Build with support for converting from reiserfs (closes: #1030950).
  * Temporarily move the VCS to sr.ht
  * Slightly improve description.
  * Standardize debian/rules somewhat.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 29 Dec 2023 19:03:32 +0100
