=== debian/control ===
Source: btrfs-progs
Section: admin
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               libext2fs-dev,
               pkg-config,
               libacl1-dev,
               libblkid-dev,
               liblzo2-dev,
               libreiserfscore-dev,
               libudev-dev,
               libzstd-dev,
               uuid-dev,
               udev,
               zlib1g-dev,
               sphinx,
               python3-sphinx-rtd-theme,
               xmlto,
               bash-completion,
	       python3-dev,
	       python3-setuptools,
	       dh-python,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://btrfs.wiki.kernel.org/
Vcs-Browser: https://git.sr.ht/~kilobyte/btrfs-progs
Vcs-Git: https://git.sr.ht/~kilobyte/btrfs-progs -b debian

Package: btrfs-progs
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: duperemove
Description: Checksumming Copy on Write Filesystem utilities
 Btrfs is a copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains utilities (mkfs, fsck) used to work with btrfs
 and an utility (btrfs-convert) to make a btrfs filesystem from an ext3.

Package: libbtrfs0t64
Provides: ${t64:Provides}
Replaces: libbtrfs0
Breaks: libbtrfs0 (<< ${source:Version})
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Checksumming Copy on Write Filesystem utilities (runtime library)
 Btrfs is a copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains userspace shared code library libbtrfs.

Package: libbtrfs-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfs0t64 (= ${binary:Version})
Description: Checksumming Copy on Write Filesystem utilities (development headers)
 Btrfs is a copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains development headers for the libbtrfs library.

Package: libbtrfsutil1t64
Provides: ${t64:Provides}
Replaces: libbtrfsutil1
Breaks: libbtrfsutil1 (<< ${source:Version})
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Checksumming Copy on Write Filesystem utilities (runtime util library)
 Btrfs is a copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains userspace shared code library libbtrfsutil.

Package: libbtrfsutil-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfsutil1t64 (= ${binary:Version})
Description: Checksumming Copy on Write Filesystem utilities (util development headers)
 Btrfs is a copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains development headers for the libbtrfsutil library.

Package: python3-btrfsutil
Architecture: linux-any
Multi-Arch: same
Section: python
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Description: Checksumming Copy on Write Filesystem utilities (python3 bindings)
 Btrfs is a copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains python3 bindings.

Package: btrfs-progs-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Checksumming Copy on Write Filesystem utilities (udeb)
