=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: btrfs-progs
 Section: admin
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+Maintainer: Nicholas D Steeves <sten@debian.org>
+Build-Depends: debhelper-compat (= 13),
                libext2fs-dev,
                pkg-config,
                libacl1-dev,
@@ -22,11 +21,11 @@
 	       python3-dev,
 	       python3-setuptools,
 	       dh-python,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://btrfs.wiki.kernel.org/
-Vcs-Browser: https://git.sr.ht/~kilobyte/btrfs-progs
-Vcs-Git: https://git.sr.ht/~kilobyte/btrfs-progs -b debian
+Vcs-Browser: https://salsa.debian.org/debian/btrfs-progs
+Vcs-Git: https://salsa.debian.org/debian/btrfs-progs.git
 
 Package: btrfs-progs
 Architecture: linux-any
@@ -41,10 +40,7 @@
  This package contains utilities (mkfs, fsck) used to work with btrfs
  and an utility (btrfs-convert) to make a btrfs filesystem from an ext3.
 
-Package: libbtrfs0t64
-Provides: ${t64:Provides}
-Replaces: libbtrfs0
-Breaks: libbtrfs0 (<< ${source:Version})
+Package: libbtrfs0
 Architecture: linux-any
 Multi-Arch: same
 Section: libs
@@ -60,7 +56,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfs0t64 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfs0 (= ${binary:Version})
 Description: Checksumming Copy on Write Filesystem utilities (development headers)
  Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
@@ -68,10 +64,7 @@
  .
  This package contains development headers for the libbtrfs library.
 
-Package: libbtrfsutil1t64
-Provides: ${t64:Provides}
-Replaces: libbtrfsutil1
-Breaks: libbtrfsutil1 (<< ${source:Version})
+Package: libbtrfsutil1
 Architecture: linux-any
 Multi-Arch: same
 Section: libs
@@ -87,7 +80,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfsutil1t64 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfsutil1 (= ${binary:Version})
 Description: Checksumming Copy on Write Filesystem utilities (util development headers)
  Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
