=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

SHELL := sh -e

CFLAGS := $(patsubst -O2,-Os,$(CFLAGS) $(CPPFLAGS))

%:
	dh ${@} --with bash-completion,python3

override_dh_autoreconf:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/bin

override_dh_auto_build:
	dh_auto_build -- V=1

override_dh_auto_install:
	dh_auto_install -- install
	cd libbtrfsutil/python; \
		python3 setup.py install --install-layout=deb --skip-build --root ../../debian/tmp --prefix /usr
	mkdir -p debian/tmp/sbin
	mv debian/tmp/bin/fsck.btrfs debian/tmp/sbin/fsck.btrfs
	mv debian/tmp/bin/mkfs.btrfs debian/tmp/sbin/mkfs.btrfs

	# Adding initramfs-tools integration
	install -D -m 0755 debian/local/btrfs.hook debian/btrfs-progs/usr/share/initramfs-tools/hooks/btrfs
	install -D -m 0755 debian/local/btrfs.local-premount debian/btrfs-progs/usr/share/initramfs-tools/scripts/local-premount/btrfs

# Needs autopkgtest
override_dh_auto_test:

override_dh_install:
	UDEVDIR=`pkg-config udev --variable=udevdir` && dh_install -p btrfs-progs --autodest $${UDEVDIR#/}
	dh_install
	dh_missing --list-missing

override_dh_auto_clean:
	if test -f Makefile.inc; then \
		dh_auto_clean; \
	fi
