## btrfs-progs 6.15

=== debian/changelog ===
btrfs-progs (6.15-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 23 Jun 2025 22:11:29 -0400
