## btrfs-progs 6.16

=== debian/changelog ===
btrfs-progs (6.16-2) unstable; urgency=medium

  * Drop support for converting from reiserfs, because reiserfs was dropped from
    Linux during the 6.13 release cycle
    (http://kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.13). Debian 13
    "trixie" included support for converting reiserfs filesystems to btrfs and
    may be used by anyone who wishes to experiment with in-place conversion
    (Closes: #1060069).  Backup and restore or replication continues to be
    recommended over in-place conversion.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 07 Sep 2025 16:03:07 -0400

btrfs-progs (6.16-1) unstable; urgency=medium

  * New upstream release.
  * Fix indentation of Build-Depends.
  * Upload to unstable.

 -- Nicholas D Steeves <sten@debian.org>  Wed, 13 Aug 2025 15:05:57 -0400
