## btrfs-progs 6.17

=== Makefile ===
#
# Basic build targets:
#   all		all main tools and the shared library
#   static      build static binaries, requires static version of the libraries
#   test        run the full testsuite
#   install     install binaries, shared libraries and header files to default
#               location (/usr/local)
#   install-static
#               install the static binaries, static libraries and header files
#               to default locationh (/usr/local)
#   clean       clean built binaries (not the documentation)
#   clean-all   clean as above, clean docs and generated files
#   clean-dep   clean header dependency files (*.o.d)
#
# All-in-one binary (busybox style):
#   btrfs.box         single binary with functionality of mkfs.btrfs, btrfs-image,
#                     btrfs-convert and btrfstune, selected by the file name
#   btrfs.box.static  dtto, static version
#
# Tuning by variables (environment or make arguments):
#   V=1            verbose, print command lines (default: quiet)
#   C=1            run checker before compilation (default checker: sparse)
#   D=1            debugging build, turn off optimizations
#   D=dflags       dtto, turn on additional debugging features:
#                  verbose - print file:line along with error/warning messages
#                  trace   - print trace before the error/warning messages
#                  abort   - call abort() on first error (dumps core)
#                  all     - shortcut for all of the above
#                  asan    - enable address sanitizer compiler feature
#                  tsan    - enable thread sanitizer compiler feature
#                  ubsan   - undefined behaviour sanitizer compiler feature
#                  bcheck  - extended build checks
#                  gcov    - enable GCOV support during build
#   W=123          build with warnings (default: off)
#   DEBUG_CFLAGS   additional compiler flags for debugging build
#   EXTRA_CFLAGS   additional compiler flags
#   EXTRA_LDFLAGS  additional linker flags
#   EXTRA_PYTHON_CFLAGS   additional compiler flags to pass when building Python
#                         library
#   EXTRA_PYTHON_LDFLAGS  additional linker flags to pass when building Python
#                         library
#
# Testing-specific options (see also tests/README.md):
#   TEST=GLOB      run test(s) from directories matching GLOB
#   TEST_LOG=tty   print name of a command run via the execution helpers
#   TEST_LOG=dump  dump testing log file when a test fails
#
# Static checkers:
#   CHECKER        static checker binary to be called (default: sparse)
#   CHECKER_FLAGS  flags to pass to CHECKER, can override CFLAGS
#
# Other:
#   DEP=1          verbose generation of dependency files (.o.d)

# Export all variables to sub-makes by default
export

-include Makefile.inc
ifneq ($(MAKEFILE_INC_INCLUDED),yes)
$(error Makefile.inc not generated, please configure first)
endif

TAGS_CMD := ctags
ETAGS_CMD := etags
CSCOPE_CMD := cscope -u -b -c -q

# Print dependency creation
DEP :=
DEPMSG = @if [ "$(DEP)" = 1 ]; then echo "  DEP     $(DEPNAME)"; fi

# Reduce any .o file to the base name, taking box and static targets into account
# and produce unified file name for dependencies
DEPNAME = $(patsubst %.o, %.o.d,		\
	  $(patsubst %.box.o, %.o,		\
	  $(patsubst %.static.o, %.o, $@)))

# Generate make rule dependencies for all target types
DEPCOMMAND = $(CC) -MM -MG -MF $(dir $@).deps/$(notdir $(DEPNAME)) -MT $*.o -MT $*.static.o -MT $*.box.o -MT $*.box.static.o $(CFLAGS) $<

# Dependencies are relative to source file directory in .deps/
DEPMKDIR = mkdir -p $(dir $@).deps/

include Makefile.extrawarn

EXTRA_CFLAGS :=
EXTRA_LDFLAGS :=

DEBUG_CFLAGS_DEFAULT = -O0 -U_FORTIFY_SOURCE -ggdb3 -DINJECT
DEBUG_CFLAGS_INTERNAL =
DEBUG_CFLAGS :=

DEBUG_LDFLAGS_DEFAULT =
DEBUG_LDFLAGS_INTERNAL =
DEBUG_LDFLAGS :=

ABSTOPDIR = $(shell pwd)
TOPDIR := .

# Disable certain GCC 8 + glibc 2.28 warning for snprintf()
# where string truncation for snprintf() is expected.
# For GCC9 disable address-of-packed (under W=1)
DISABLE_WARNING_FLAGS := $(call cc-disable-warning, format-truncation) \
	$(call cc-disable-warning, address-of-packed-member)

# Warnings that we want by default
ENABLE_WARNING_FLAGS := $(call cc-option, -Wimplicit-fallthrough) \
			$(call cc-option, -Wmissing-prototypes) \
			-Wshadow

ASFLAGS =

# Common build flags
CFLAGS = $(SUBST_CFLAGS) \
	 -std=gnu11 \
	 -include include/config.h \
	 -DBTRFS_FLAT_INCLUDES \
	 -D_XOPEN_SOURCE=700  \
	 -fno-strict-aliasing \
	 -fPIC \
	 -Wall \
	 -Wunused-but-set-parameter \
	 -I$(TOPDIR) \
	 -I$(TOPDIR)/include \
	 $(CRYPTO_CFLAGS) \
	 -DCOMPRESSION_LZO=$(COMPRESSION_LZO) \
	 -DCOMPRESSION_ZSTD=$(COMPRESSION_ZSTD) \
	 $(DISABLE_WARNING_FLAGS) \
	 $(ENABLE_WARNING_FLAGS) \
	 $(EXTRAWARN_CFLAGS) \
	 $(DEBUG_CFLAGS_INTERNAL) \
	 $(EXTRA_CFLAGS)

LIBBTRFSUTIL_CFLAGS = $(SUBST_CFLAGS) \
		      -std=gnu11 \
		      -D_GNU_SOURCE \
		      -fPIC \
		      -fvisibility=hidden \
		      -I$(TOPDIR)/libbtrfsutil \
		      $(EXTRAWARN_CFLAGS) \
		      $(DEBUG_CFLAGS_INTERNAL) \
		      $(EXTRA_CFLAGS)

LDFLAGS = $(SUBST_LDFLAGS) \
	  -rdynamic -L$(TOPDIR) \
	  $(DEBUG_LDFLAGS_INTERNAL) \
	  $(EXTRA_LDFLAGS)

LIBBTRFSUTIL_LDFLAGS = $(SUBST_LDFLAGS) \
		       -rdynamic -L$(TOPDIR) \
		       $(DEBUG_LDFLAGS_INTERNAL) \
		       $(EXTRA_LDFLAGS)

# Default implementation
CRYPTO_OBJECTS =

ifeq ($(HAVE_CFLAG_msse2),1)
crypto_blake2b_sse2_cflags = -msse2
endif
ifeq ($(HAVE_CFLAG_msse41),1)
crypto_blake2b_sse41_cflags = -msse4.1
endif
ifeq ($(HAVE_CFLAG_mavx2),1)
crypto_blake2b_avx2_cflags = -mavx2
endif
ifeq ($(HAVE_CFLAG_msha),1)
crypto_sha256_x86_cflags = -msse4.1 -msha
endif

LIBS = $(LIBS_BASE) $(LIBS_CRYPTO)
LIBBTRFS_LIBS = $(LIBS_BASE) $(LIBS_CRYPTO)

# Static compilation flags
STATIC_CFLAGS = $(CFLAGS) -ffunction-sections -fdata-sections -DSTATIC_BUILD
STATIC_LDFLAGS = $(SUBST_LDFLAGS) $(EXTRA_LDFLAGS) -static -Wl,--gc-sections
STATIC_LIBS = $(STATIC_LIBS_BASE)

# don't use FORTIFY with sparse because glibc with FORTIFY can
# generate so many sparse errors that sparse stops parsing,
# which masks real errors that we want to see.
# Note: additional flags might get added per-target later
CHECKER := sparse
check_defs := .cc-defines.h
CHECKER_FLAGS := -include $(check_defs) -D__CHECKER__ \
	-D__CHECK_ENDIAN__ -Wbitwise -Wuninitialized -Wshadow -Wundef \
	-U_FORTIFY_SOURCE -Wdeclaration-after-statement -Wdefault-bitfield-sign

objects = \
	kernel-lib/list_sort.o	\
	kernel-lib/raid56.o	\
	kernel-lib/rbtree.o	\
	kernel-lib/tables.o	\
	kernel-shared/accessors.o	\
	kernel-shared/async-thread.o	\
	kernel-shared/backref.o \
	kernel-shared/ctree.o	\
	kernel-shared/delayed-ref.o	\
	kernel-shared/dir-item.o	\
	kernel-shared/disk-io.o	\
	kernel-shared/extent-io-tree.o	\
	kernel-shared/extent-tree.o	\
	kernel-shared/extent_io.o	\
	kernel-shared/file-item.o	\
	kernel-shared/file.o	\
	kernel-shared/free-space-cache.o	\
	kernel-shared/free-space-tree.o	\
	kernel-shared/inode-item.o	\
	kernel-shared/inode.o	\
	kernel-shared/locking.o	\
	kernel-shared/messages.o	\
	kernel-shared/print-tree.o	\
	kernel-shared/root-tree.o	\
	kernel-shared/transaction.o	\
	kernel-shared/tree-checker.o	\
	kernel-shared/ulist.o	\
	kernel-shared/uuid-tree.o	\
	kernel-shared/volumes.o	\
	kernel-shared/zoned.o	\
	common/array.o		\
	common/compat.o		\
	common/cpu-utils.o	\
	common/device-scan.o	\
	common/device-utils.o	\
	common/extent-cache.o	\
	common/extent-tree-utils.o	\
	common/root-tree-utils.o	\
	common/filesystem-utils.o	\
	common/format-output.o	\
	common/fsfeatures.o	\
	common/help.o	\
	common/inject-error.o	\
	common/messages.o	\
	common/open-utils.o	\
	common/parse-utils.o	\
	common/path-utils.o	\
	common/rbtree-utils.o	\
	common/send-stream.o	\
	common/send-utils.o	\
	common/sort-utils.o	\
	common/string-table.o	\
	common/string-utils.o	\
	common/sysfs-utils.o	\
	common/task-utils.o \
	common/units.o	\
	common/utils.o	\
	check/qgroup-verify.o	\
	check/repair.o	\
	cmds/receive-dump.o	\
	crypto/crc32c.o	\
	crypto/hash.o	\
	crypto/xxhash.o	\
	$(CRYPTO_OBJECTS)	\
	libbtrfsutil/stubs.o	\
	libbtrfsutil/subvolume.o

cmds_objects = cmds/subvolume.o cmds/subvolume-list.o \
	       cmds/filesystem.o cmds/device.o cmds/scrub.o \
	       cmds/inspect.o cmds/balance.o cmds/send.o cmds/receive.o \
	       cmds/quota.o cmds/qgroup.o cmds/replace.o check/main.o \
	       cmds/restore.o cmds/rescue.o cmds/rescue-chunk-recover.o \
	       cmds/rescue-super-recover.o cmds/rescue-fix-data-checksum.o \
	       cmds/property.o cmds/filesystem-usage.o cmds/inspect-dump-tree.o \
	       cmds/inspect-dump-super.o cmds/inspect-tree-stats.o cmds/filesystem-du.o \
	       cmds/reflink.o \
	       mkfs/common.o check/mode-common.o check/mode-lowmem.o \
	       common/clear-cache.o

libbtrfs_objects = \
		kernel-lib/rbtree.o	\
		libbtrfs/send-stream.o	\
		libbtrfs/send-utils.o	\
		libbtrfs/crc32c.o

libbtrfs_headers = libbtrfs/send-stream.h libbtrfs/send-utils.h libbtrfs/send.h \
	       kernel-lib/rbtree_types.h libbtrfs/kerncompat.h \
	       libbtrfs/ioctl.h libbtrfs/ctree.h libbtrfs/version.h
libbtrfs_version = $(LIBBTRFS_MAJOR).$(LIBBTRFS_MINOR).$(LIBBTRFS_PATCHLEVEL)

libbtrfsutil_major := $(shell sed -rn 's/^\#define BTRFS_UTIL_VERSION_MAJOR ([0-9])+$$/\1/p' libbtrfsutil/btrfsutil.h)
libbtrfsutil_minor := $(shell sed -rn 's/^\#define BTRFS_UTIL_VERSION_MINOR ([0-9])+$$/\1/p' libbtrfsutil/btrfsutil.h)
libbtrfsutil_patch := $(shell sed -rn 's/^\#define BTRFS_UTIL_VERSION_PATCH ([0-9])+$$/\1/p' libbtrfsutil/btrfsutil.h)
libbtrfsutil_version := $(libbtrfsutil_major).$(libbtrfsutil_minor).$(libbtrfsutil_patch)
libbtrfsutil_objects = libbtrfsutil/errors.o libbtrfsutil/filesystem.o \
		       libbtrfsutil/subvolume.o libbtrfsutil/qgroup.o \
		       libbtrfsutil/stubs.o
convert_objects = convert/main.o convert/common.o convert/source-fs.o \
		  convert/source-ext2.o convert/source-reiserfs.o \
		  mkfs/common.o common/clear-cache.o
mkfs_objects = mkfs/main.o mkfs/common.o mkfs/rootdir.o
image_objects = image/main.o image/sanitize.o image/image-create.o image/common.o \
		image/image-restore.o
tune_objects = tune/main.o tune/seeding.o tune/change-uuid.o tune/change-metadata-uuid.o \
	       tune/convert-bgt.o tune/change-csum.o common/clear-cache.o tune/quota.o
all_objects = $(objects) $(cmds_objects) $(libbtrfs_objects) $(convert_objects) \
	      $(mkfs_objects) $(image_objects) $(tune_objects) $(libbtrfsutil_objects)

tags_files = $(addsuffix /*.[ch], . check cmds common convert crypto image include mkfs tune \
	       kernel-lib kernel-shared kernel-shared/uapi \
	       libbtrfs libbtrfsutil libbtrfsutil/python tests)

udev_rules = 64-btrfs-dm.rules 64-btrfs-zoned.rules

ifeq ("$(origin V)", "command line")
  BUILD_VERBOSE = $(V)
endif
ifndef BUILD_VERBOSE
  BUILD_VERBOSE = 0
endif

ifeq ($(BUILD_VERBOSE),1)
  Q =
  SETUP_PY_Q =
else
  Q = @
  SETUP_PY_Q = -q
endif

ifeq ("$(origin D)", "command line")
  DEBUG_CFLAGS_INTERNAL = $(DEBUG_CFLAGS_DEFAULT) $(DEBUG_CFLAGS)
  DEBUG_LDFLAGS_INTERNAL = $(DEBUG_LDFLAGS_DEFAULT) $(DEBUG_LDFLAGS)
endif

ifneq (,$(findstring gcov,$(D)))
  DEBUG_CFLAGS_INTERNAL += -fprofile-arcs -fprofile-update=atomic -ftest-coverage --coverage
  DEBUG_LDFLAGS_INTERNAL += -fprofile-generate -fprofile-update=atomic --coverage
endif

ifneq (,$(findstring verbose,$(D)))
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_VERBOSE_ERROR=1
endif

ifneq (,$(findstring trace,$(D)))
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_TRACE_ON_ERROR=1
endif

ifneq (,$(findstring abort,$(D)))
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_ABORT_ON_ERROR=1
endif

ifneq (,$(findstring all,$(D)))
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_VERBOSE_ERROR=1
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_TRACE_ON_ERROR=1
  DEBUG_CFLAGS_INTERNAL += -DDEBUG_ABORT_ON_ERROR=1
endif

ifneq (,$(findstring asan,$(D)))
  DEBUG_CFLAGS_INTERNAL += -fsanitize=address
  DEBUG_LDFLAGS_INTERNAL += -fsanitize=address -lasan
endif

ifneq (,$(findstring tsan,$(D)))
