=== convert/Makefile ===
include ../Makefile.inc

all:
	$(MAKE) -C .. btrfs-convert

clean:
	-$(RM) -f -- *.o *.o.d
