=== image/Makefile ===
include ../Makefile.inc

all:
	$(MAKE) -C .. btrfs-image

clean:
	-$(RM) -f -- *.o *.o.d
