=== debian/changelog ===
btrfs-progs (6.17-1) unstable; urgency=medium

  * New upstream release.
  * Create gbp.conf to manually set compression type and level to xz:9.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 09 Oct 2025 13:38:07 -0400
