=== debian/control ===
--- 
+++ 
@@ -2,25 +2,24 @@
 Section: admin
 Priority: optional
 Maintainer: Nicholas D Steeves <sten@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                libext2fs-dev,
-               pkg-config,
+               pkgconf,
                libacl1-dev,
                libblkid-dev,
                liblzo2-dev,
-               libreiserfscore-dev,
                libudev-dev,
                libzstd-dev,
                uuid-dev,
-               udev,
+               systemd-dev,
                zlib1g-dev,
                sphinx,
                python3-sphinx-rtd-theme,
                xmlto,
                bash-completion,
-	       python3-dev,
-	       python3-setuptools,
-	       dh-python,
+               python3-dev,
+               python3-setuptools,
+               dh-python,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://btrfs.wiki.kernel.org/
@@ -40,7 +39,10 @@
  This package contains utilities (mkfs, fsck) used to work with btrfs
  and an utility (btrfs-convert) to make a btrfs filesystem from an ext3.
 
-Package: libbtrfs0
+Package: libbtrfs0t64
+Provides: ${t64:Provides}
+Replaces: libbtrfs0
+Breaks: libbtrfs0 (<< ${source:Version})
 Architecture: linux-any
 Multi-Arch: same
 Section: libs
@@ -56,7 +58,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfs0 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfs0t64 (= ${binary:Version})
 Description: Checksumming Copy on Write Filesystem utilities (development headers)
  Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
@@ -64,7 +66,10 @@
  .
  This package contains development headers for the libbtrfs library.
 
-Package: libbtrfsutil1
+Package: libbtrfsutil1t64
+Provides: ${t64:Provides}
+Replaces: libbtrfsutil1
+Breaks: libbtrfsutil1 (<< ${source:Version})
 Architecture: linux-any
 Multi-Arch: same
 Section: libs
@@ -80,7 +85,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfsutil1 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libbtrfsutil1t64 (= ${binary:Version})
 Description: Checksumming Copy on Write Filesystem utilities (util development headers)
  Btrfs is a copy on write filesystem for Linux aimed at implementing
  advanced features while focusing on fault tolerance, repair and easy
