## btrfs-progs 6.17.1

=== debian/changelog ===
btrfs-progs (6.17.1-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 28 Dec 2025 15:02:52 -0500

btrfs-progs (6.17.1-1) unstable; urgency=medium

  * New upstream release.
  * Make btrfs-progs-udeb usrmerge compliant.
  * Additionally move mkfs.btrfs to /usr/sbin, where it should have been
    installed for consistency with the main bin:btrfs-progs, and also with
    every other mkfs.variant on Debian, and with the FHS--even though this
    is just a udeb.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 07 Nov 2025 14:26:24 -0500
